Get order status Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/orders/status

Retrieve detailed status information for a specific order including all warehouse orders and their current states.

Query parameters

  • market_order_id string Required

    Marketplace order ID

Responses

  • 200 application/json

    Order status retrieved successfully

    Hide response attributes Show response attributes object
    • market_order_id string

      Marketplace order ID

    • order_status string

      Overall order status

      Values are cancelled, complete, partially shipped, processing, error, or pending.

    • sub_orders array[object]
      Hide sub_orders attributes Show sub_orders attributes object
      • sub_order_status string

        Warehouse order status

        Values are shipped, cancelled, processing, backordered, error, or pending.

      • items array[object]
        Hide items attributes Show items attributes object
        • sku string

          Product SKU

        • quantity integer

          Item quantity

  • 404

    Order not found

GET /v1/orders/status
curl \
 --request GET 'https://api.pattern.com/hub/v1/orders/status?market_order_id=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "market_order_id": "string",
  "order_status": "cancelled",
  "sub_orders": [
    {
      "sub_order_status": "shipped",
      "items": [
        {
          "sku": "string",
          "quantity": 42
        }
      ]
    }
  ]
}